Media -chapters

Update video chapters

PUT/media/v1/projects/{projectId}/videos/{videoId}/chapters

Replaces the chapters of a video.

Authorization<token>

In: header

Path Parameters

projectId*string

Project ID

videoId*string

Video ID

Request Body

required
application/json
{
  "chapters": [
    {
      "start_time_sec": 0,
      "title": "string"
    }
  ]
}
chapters?array<object>
start_time_sec?number
title*string

Response Body

200application/json

OK

type: object

chapters?array<object>
start_time_sec?number
title?string
video_id?string
curl -X PUT "https://api.rixl.com/media/v1/projects/string/videos/string/chapters" \
  -H "Content-Type: application/json" \
  -d '{}'
const body = JSON.stringify({})

fetch("https://api.rixl.com/media/v1/projects/string/videos/string/chapters", {
  method: "PUT",
  headers: {
    "Content-Type": "application/json"
  },
  body
})
package main

import (
  "fmt"
  "net/http"
  "io/ioutil"
  "strings"
)

func main() {
  url := "https://api.rixl.com/media/v1/projects/string/videos/string/chapters"
  body := strings.NewReader(`{}`)
  req, _ := http.NewRequest("PUT", url, body)
  req.Header.Add("Content-Type", "application/json")
  res, _ := http.DefaultClient.Do(req)
  defer res.Body.Close()
  body, _ := ioutil.ReadAll(res.Body)

  fmt.Println(res)
  fmt.Println(string(body))
}
import requests

url = "https://api.rixl.com/media/v1/projects/string/videos/string/chapters"
body = """{}"""
response = requests.request("PUT", url, data = body, headers = {
  "Content-Type": "application/json"
})

print(response.text)
import java.net.URI;
import java.net.http.HttpClient;
import java.net.http.HttpRequest;
import java.net.http.HttpResponse;
import java.net.http.HttpResponse.BodyHandlers;
import java.time.Duration;
import java.net.http.HttpRequest.BodyPublishers;

var body = BodyPublishers.ofString("""{}""");
HttpClient client = HttpClient.newBuilder()
  .connectTimeout(Duration.ofSeconds(10))
  .build();

HttpRequest.Builder requestBuilder = HttpRequest.newBuilder()
  .uri(URI.create("https://api.rixl.com/media/v1/projects/string/videos/string/chapters"))
  .header("Content-Type", "application/json")
  .PUT(body)
  .build();

try {
  HttpResponse<String> response = client.send(requestBuilder.build(), BodyHandlers.ofString());
  System.out.println("Status code: " + response.statusCode());
  System.out.println("Response body: " + response.body());
} catch (Exception e) {
  e.printStackTrace();
}
using System;
using System.Net.Http;
using System.Text;

var body = new StringContent("""
{}
""", Encoding.UTF8, "application/json");

var client = new HttpClient();
var response = await client.PutAsync("https://api.rixl.com/media/v1/projects/string/videos/string/chapters", body);
var responseBody = await response.Content.ReadAsStringAsync();

OK

application/json

{
  "chapters": [
    {
      "start_time_sec": 0,
      "title": "string"
    }
  ],
  "video_id": "string"
}